<?php
/*
Sayfa Adı: Yazar Kutusu
@link https://developer.wordpress.org/themes/basics/template-files/#template-partials
@url kanthemes.com
*/
?>
<div class="geoit_author_box widget">
	<?php $title =  __( 'Yazar Hakkında', 'geo' ); echo geoit_block_title($title, 'h3'); ?>
	<div class="geoit_authorbox">
		<?php global $post; ?>
			<div class="geoit_author_box_content">
				<div class="geoit_author_box_avatar">
					<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID', $post->post_author ) ); ?>">
						<?php echo geoit_get_avatar(get_the_author_meta( 'ID'),'90'); ?>
					</a>
				</div>
			<div class="geoit_author_box_meta">
				<div class="geoit_author_box_name">
					<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID', $post->post_author ) ); ?>"><?php the_author_meta('display_name', $post->post_author); ?><?php geoit_verified_user($post->post_author); ?></a>
				</div>
				<?php if(get_the_author_meta('description', $post->post_author) != '') : ?>
					<p class="desc"><?php the_author_meta('description', $post->post_author); ?></p>
				<?php endif; ?>
				<div class="geoit_author_social_links">
				<?php $twitter = get_the_author_meta('twitter_profile', $post->post_author); if($twitter): ?> <a class="twitter" href="https://www.twitter.com/<?php echo $twitter; ?>"><i class="fa fa-twitter"></i></a><?php endif; ?>
				<?php $facebook = get_the_author_meta('facebook_profile', $post->post_author); if($facebook): ?><a class="facebook" href="https://www.facebook.com/<?php echo $facebook; ?>"><i class="fa fa-facebook"></i></a> <?php endif; ?>
				<?php $google = get_the_author_meta('instagram_profile', $post->post_author); if($google): ?><a class="gplus" href="https://www.instagram.com/<?php echo $google; ?>"><i class="fa fa-instagram"></i></a> <?php endif; ?>
				<?php if (current_user_can('administrator')): ?>
					<?php $mail = get_the_author_meta('user_email', $post->post_author); if($mail): ?> <a href="mailto:<?php echo $mail; ?>"><i class="fa fa-envelope"></i></a> <?php endif; ?>
				<?php endif; ?>
				</div>
			</div>
		</div>
		<div class="twPc-div">
		<div class="twPC-cont">
			<div class="twPc-divStats">
				<ul class="twPc-Arrange">
					<li class="twPc-ArrangeSizeFit">
						<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID', $post->post_author ) ); ?>#recent" title="<?php echo count_user_posts( $post->post_author ); ?> <?php _e('Yazılar','geo' ); ?>">
							<span class="twPc-StatLabel twPc-block"><?php _e('Yazılar', 'geo'); ?></span>
							<span class="twPc-StatValue"><?php echo count_user_posts( $post->post_author ); ?></span>
						</a>
					</li>
					<li class="twPc-ArrangeSizeFit">
						<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID', $post->post_author ) ); ?>#tabcomments" title="<?php global $wpdb; $userId = $post->post_author; $where = 'WHERE comment_approved = 1 AND user_id = ' . $userId ; $comment_count = $wpdb->get_var("SELECT COUNT( * ) AS total FROM {$wpdb->comments} {$where}"); echo $comment_count; ?> <?php _e('Yorum', 'geo'); ?>">
							<span class="twPc-StatLabel twPc-block"><?php _e('Yorumlar', 'geo'); ?></span>
							<span class="twPc-StatValue"><?php echo $comment_count; ?></span>
						</a>
					</li>
					<?php if (ot_get_option('geo_puan_sistem') == 'on') : ?>
						<li class="twPc-ArrangeSizeFit">
							<a href="#" title="<?php echo geo_get_points($post->post_author); ?> Puan">
								<span class="twPc-StatLabel twPc-block"><?php _e('Puan', 'geo'); ?></span>
								<span class="twPc-StatValue"><?php echo geo_get_points($post->post_author); ?></span>
							</a>
						</li>
					<?php endif; ?>
				</ul>
			</div>
		</div>
	</div>
</div>
</div>