<?php
/*
Sayfa Adı: Carousel
@link https://developer.wordpress.org/themes/basics/template-files/#template-partials
@url kanthemes.com
*/
$exlude = ot_get_option('geo-carousel-post-not2');
$excludepages = explode(",", $exlude);

$slider_mask = ot_get_option('slider_mask');
$slider_meta = ot_get_option('slider_meta_items');
$mask = '';
if ($slider_mask != 'off') {
	$mask = 'slider_mask';
}
else {
	$mask = 'no-mask';
}
$geoit_carousel = new WP_Query(array('showposts' => 5,'post__not_in' => $excludepages, 'cat' => ot_get_option('geo-carousel-category')));
if ($geoit_carousel->have_posts()) : ?>
	<?php if (ot_get_option('slider_container') != 'wide'): ?>
		<div class="container">
	<?php endif; ?>
	<?php if(geo_is_mobile()): ?>
		<div class="owl-carousel loop1 h-slider w-slider owl-theme geo_mobile_slider <?php echo $mask; ?>">
			<?php while($geoit_carousel->have_posts()): $geoit_carousel->the_post(); ?>
				<div class="carousel__item item <?php echo 'geoit_slider-'.$counter.''; ?>">
					<a href="<?php echo esc_url( get_permalink() ); ?>" class="uckan-card--url"></a>
					<?php echo get_simple_likes_button( get_the_ID() ); ?>
					<figure <?php geoit_thumbnail_background_image(get_post_thumbnail_id(), 'geo-carousel2'); ?>></figure>
					<div class="carousel__content ">
						<div class="carousel__category">
							<?php geo_categories(); ?>
						</div>
						<?php the_title( sprintf( '<h2 class="headline truncate"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
						<?php if($slider_meta != 'off') : ?>
							<div class="carousel__content--meta">
								
								<span class="author"><?php echo geoit_get_avatar( get_the_author_meta( 'ID' ), 25 ); ?><span><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php the_author(); ?></a></span></span>
								<span class="date"><i class="fa fa-clock-o"></i> <?php the_time('j M, Y'); ?><?php geo_reaction_badge($post->ID); ?><?php geoit_trending_post(get_the_ID()); ?></span>
							</div>
						<?php endif; ?>
					</div>
				</div>
			<?php endwhile; ?>
		</div>
	<?php else: ?>
		<div class="slider-style-3 loop3 owl-carousel owl-theme <?php echo $mask; ?>">
		<?php $counter = 1; while($geoit_carousel->have_posts()): $geoit_carousel->the_post(); ?>
				<div class="carousel__item carousel_big--item <?php echo 'geoit_slider-'.$counter.''; ?>">
					<a href="<?php echo esc_url( get_permalink() ); ?>" class="uckan-card--url"></a>
					<?php echo get_simple_likes_button( get_the_ID() ); ?>
					<figure <?php geoit_thumbnail_background_image(get_post_thumbnail_id(), 'geo-carousel3', 'carousel__image'); ?>></figure>
					<div class="carousel__content">
						<div class="carousel__category">
							<?php geo_categories(); ?>
						</div>
						<?php the_title( sprintf( '<h2 class="headline"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
						<?php if($slider_meta != 'off') : ?>
							<div class="carousel__content--meta">
								<span class="author"><?php echo geoit_get_avatar( get_the_author_meta( 'ID' ), 25 ); ?><span><a title="<?php the_author(); ?>" href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php the_author(); ?></a></span></span>
								<span class="date"><i class="fa fa-clock-o"></i> <?php the_time('j M, Y'); ?><?php geo_reaction_badge($post->ID); ?><?php geoit_trending_post(get_the_ID()); ?></span>
							</div>
						<?php endif; ?>
					</div>
				</div>
		<?php $counter++; endwhile; ?>
		</div>
	<?php endif; ?>
	<?php if (ot_get_option('slider_container') != 'wide'): ?>
		</div>
	<?php endif; ?>
	<div class="clearfix"></div>
<?php endif; ?>
<?php wp_reset_query(); ?>